Index: trunk/sources/HeuristicLab.Hive.Client.Console/EventLogEntryForm.Designer.cs
===================================================================
--- trunk/sources/HeuristicLab.Hive.Client.Console/EventLogEntryForm.Designer.cs	(revision 906)
+++ trunk/sources/HeuristicLab.Hive.Client.Console/EventLogEntryForm.Designer.cs	(revision 906)
@@ -0,0 +1,128 @@
+﻿namespace HeuristicLab.Hive.Client.Console {
+  partial class EventLogEntryForm {
+    /// <summary>
+    /// Required designer variable.
+    /// </summary>
+    private System.ComponentModel.IContainer components = null;
+
+    /// <summary>
+    /// Clean up any resources being used.
+    /// </summary>
+    /// <param name="disposing">true if managed resources should be disposed; otherwise, false.</param>
+    protected override void Dispose(bool disposing) {
+      if (disposing && (components != null)) {
+        components.Dispose();
+      }
+      base.Dispose(disposing);
+    }
+
+    #region Windows Form Designer generated code
+
+    /// <summary>
+    /// Required method for Designer support - do not modify
+    /// the contents of this method with the code editor.
+    /// </summary>
+    private void InitializeComponent() {
+      this.lbMessage = new System.Windows.Forms.ListBox();
+      this.lbDateLabel = new System.Windows.Forms.Label();
+      this.lbTimeLabel = new System.Windows.Forms.Label();
+      this.lbDate = new System.Windows.Forms.Label();
+      this.lbTime = new System.Windows.Forms.Label();
+      this.lbId = new System.Windows.Forms.Label();
+      this.lbIdLabel = new System.Windows.Forms.Label();
+      this.SuspendLayout();
+      // 
+      // lbMessage
+      // 
+      this.lbMessage.BackColor = System.Drawing.SystemColors.InactiveBorder;
+      this.lbMessage.FormattingEnabled = true;
+      this.lbMessage.Location = new System.Drawing.Point(12, 97);
+      this.lbMessage.MultiColumn = true;
+      this.lbMessage.Name = "lbMessage";
+      this.lbMessage.Size = new System.Drawing.Size(254, 160);
+      this.lbMessage.TabIndex = 0;
+      // 
+      // lbDateLabel
+      // 
+      this.lbDateLabel.AutoSize = true;
+      this.lbDateLabel.Location = new System.Drawing.Point(13, 13);
+      this.lbDateLabel.Name = "lbDateLabel";
+      this.lbDateLabel.Size = new System.Drawing.Size(33, 13);
+      this.lbDateLabel.TabIndex = 1;
+      this.lbDateLabel.Text = "Date:";
+      // 
+      // lbTimeLabel
+      // 
+      this.lbTimeLabel.AutoSize = true;
+      this.lbTimeLabel.Location = new System.Drawing.Point(13, 37);
+      this.lbTimeLabel.Name = "lbTimeLabel";
+      this.lbTimeLabel.Size = new System.Drawing.Size(33, 13);
+      this.lbTimeLabel.TabIndex = 2;
+      this.lbTimeLabel.Text = "Time:";
+      // 
+      // lbDate
+      // 
+      this.lbDate.AutoSize = true;
+      this.lbDate.Location = new System.Drawing.Point(52, 13);
+      this.lbDate.Name = "lbDate";
+      this.lbDate.Size = new System.Drawing.Size(33, 13);
+      this.lbDate.TabIndex = 3;
+      this.lbDate.Text = "Date:";
+      // 
+      // lbTime
+      // 
+      this.lbTime.AutoSize = true;
+      this.lbTime.Location = new System.Drawing.Point(52, 37);
+      this.lbTime.Name = "lbTime";
+      this.lbTime.Size = new System.Drawing.Size(33, 13);
+      this.lbTime.TabIndex = 4;
+      this.lbTime.Text = "Time:";
+      // 
+      // lbId
+      // 
+      this.lbId.AutoSize = true;
+      this.lbId.Location = new System.Drawing.Point(52, 60);
+      this.lbId.Name = "lbId";
+      this.lbId.Size = new System.Drawing.Size(19, 13);
+      this.lbId.TabIndex = 6;
+      this.lbId.Text = "Id:";
+      // 
+      // lbIdLabel
+      // 
+      this.lbIdLabel.AutoSize = true;
+      this.lbIdLabel.Location = new System.Drawing.Point(13, 60);
+      this.lbIdLabel.Name = "lbIdLabel";
+      this.lbIdLabel.Size = new System.Drawing.Size(19, 13);
+      this.lbIdLabel.TabIndex = 5;
+      this.lbIdLabel.Text = "Id:";
+      // 
+      // EventLogEntryForm
+      // 
+      this.AutoScaleDimensions = new System.Drawing.SizeF(6F, 13F);
+      this.AutoScaleMode = System.Windows.Forms.AutoScaleMode.Font;
+      this.ClientSize = new System.Drawing.Size(278, 269);
+      this.Controls.Add(this.lbId);
+      this.Controls.Add(this.lbIdLabel);
+      this.Controls.Add(this.lbTime);
+      this.Controls.Add(this.lbDate);
+      this.Controls.Add(this.lbTimeLabel);
+      this.Controls.Add(this.lbDateLabel);
+      this.Controls.Add(this.lbMessage);
+      this.Name = "EventLogEntryForm";
+      this.Text = "Eventlog Entry Details";
+      this.ResumeLayout(false);
+      this.PerformLayout();
+
+    }
+
+    #endregion
+
+    private System.Windows.Forms.ListBox lbMessage;
+    private System.Windows.Forms.Label lbDateLabel;
+    private System.Windows.Forms.Label lbTimeLabel;
+    private System.Windows.Forms.Label lbDate;
+    private System.Windows.Forms.Label lbTime;
+    private System.Windows.Forms.Label lbId;
+    private System.Windows.Forms.Label lbIdLabel;
+  }
+}
Index: trunk/sources/HeuristicLab.Hive.Client.Console/EventLogEntryForm.cs
===================================================================
--- trunk/sources/HeuristicLab.Hive.Client.Console/EventLogEntryForm.cs	(revision 906)
+++ trunk/sources/HeuristicLab.Hive.Client.Console/EventLogEntryForm.cs	(revision 906)
@@ -0,0 +1,21 @@
+﻿using System;
+using System.Collections.Generic;
+using System.ComponentModel;
+using System.Data;
+using System.Drawing;
+using System.Linq;
+using System.Text;
+using System.Windows.Forms;
+using System.Diagnostics;
+
+namespace HeuristicLab.Hive.Client.Console {
+  public partial class EventLogEntryForm : Form {
+    public EventLogEntryForm(HiveEventEntry curEventEntry) {
+      InitializeComponent();
+      lbDate.Text = curEventEntry.EventDate;
+      lbTime.Text = curEventEntry.EventTime;
+      lbId.Text = curEventEntry.ID;
+      lbMessage.Items.Add(curEventEntry.Message);
+    }
+  }
+}
Index: trunk/sources/HeuristicLab.Hive.Client.Console/EventLogEntryForm.resx
===================================================================
--- trunk/sources/HeuristicLab.Hive.Client.Console/EventLogEntryForm.resx	(revision 906)
+++ trunk/sources/HeuristicLab.Hive.Client.Console/EventLogEntryForm.resx	(revision 906)
@@ -0,0 +1,120 @@
+<?xml version="1.0" encoding="utf-8"?>
+<root>
+  <!-- 
+    Microsoft ResX Schema 
+    
+    Version 2.0
+    
+    The primary goals of this format is to allow a simple XML format 
+    that is mostly human readable. The generation and parsing of the 
+    various data types are done through the TypeConverter classes 
+    associated with the data types.
+    
+    Example:
+    
+    ... ado.net/XML headers & schema ...
+    <resheader name="resmimetype">text/microsoft-resx</resheader>
+    <resheader name="version">2.0</resheader>
+    <resheader name="reader">System.Resources.ResXResourceReader, System.Windows.Forms, ...</resheader>
+    <resheader name="writer">System.Resources.ResXResourceWriter, System.Windows.Forms, ...</resheader>
+    <data name="Name1"><value>this is my long string</value><comment>this is a comment</comment></data>
+    <data name="Color1" type="System.Drawing.Color, System.Drawing">Blue</data>
+    <data name="Bitmap1" mimetype="application/x-microsoft.net.object.binary.base64">
+        <value>[base64 mime encoded serialized .NET Framework object]</value>
+    </data>
+    <data name="Icon1" type="System.Drawing.Icon, System.Drawing" mimetype="application/x-microsoft.net.object.bytearray.base64">
+        <value>[base64 mime encoded string representing a byte array form of the .NET Framework object]</value>
+        <comment>This is a comment</comment>
+    </data>
+                
+    There are any number of "resheader" rows that contain simple 
+    name/value pairs.
+    
+    Each data row contains a name, and value. The row also contains a 
+    type or mimetype. Type corresponds to a .NET class that support 
+    text/value conversion through the TypeConverter architecture. 
+    Classes that don't support this are serialized and stored with the 
+    mimetype set.
+    
+    The mimetype is used for serialized objects, and tells the 
+    ResXResourceReader how to depersist the object. This is currently not 
+    extensible. For a given mimetype the value must be set accordingly:
+    
+    Note - application/x-microsoft.net.object.binary.base64 is the format 
+    that the ResXResourceWriter will generate, however the reader can 
+    read any of the formats listed below.
+    
+    mimetype: application/x-microsoft.net.object.binary.base64
+    value   : The object must be serialized with 
+            : System.Runtime.Serialization.Formatters.Binary.BinaryFormatter
+            : and then encoded with base64 encoding.
+    
+    mimetype: application/x-microsoft.net.object.soap.base64
+    value   : The object must be serialized with 
+            : System.Runtime.Serialization.Formatters.Soap.SoapFormatter
+            : and then encoded with base64 encoding.
+
+    mimetype: application/x-microsoft.net.object.bytearray.base64
+    value   : The object must be serialized into a byte array 
+            : using a System.ComponentModel.TypeConverter
+            : and then encoded with base64 encoding.
+    -->
+  <xsd:schema id="root" xmlns="" xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:msdata="urn:schemas-microsoft-com:xml-msdata">
+    <xsd:import namespace="http://www.w3.org/XML/1998/namespace" />
+    <xsd:element name="root" msdata:IsDataSet="true">
+      <xsd:complexType>
+        <xsd:choice maxOccurs="unbounded">
+          <xsd:element name="metadata">
+            <xsd:complexType>
+              <xsd:sequence>
+                <xsd:element name="value" type="xsd:string" minOccurs="0" />
+              </xsd:sequence>
+              <xsd:attribute name="name" use="required" type="xsd:string" />
+              <xsd:attribute name="type" type="xsd:string" />
+              <xsd:attribute name="mimetype" type="xsd:string" />
+              <xsd:attribute ref="xml:space" />
+            </xsd:complexType>
+          </xsd:element>
+          <xsd:element name="assembly">
+            <xsd:complexType>
+              <xsd:attribute name="alias" type="xsd:string" />
+              <xsd:attribute name="name" type="xsd:string" />
+            </xsd:complexType>
+          </xsd:element>
+          <xsd:element name="data">
+            <xsd:complexType>
+              <xsd:sequence>
+                <xsd:element name="value" type="xsd:string" minOccurs="0" msdata:Ordinal="1" />
+                <xsd:element name="comment" type="xsd:string" minOccurs="0" msdata:Ordinal="2" />
+              </xsd:sequence>
+              <xsd:attribute name="name" type="xsd:string" use="required" msdata:Ordinal="1" />
+              <xsd:attribute name="type" type="xsd:string" msdata:Ordinal="3" />
+              <xsd:attribute name="mimetype" type="xsd:string" msdata:Ordinal="4" />
+              <xsd:attribute ref="xml:space" />
+            </xsd:complexType>
+          </xsd:element>
+          <xsd:element name="resheader">
+            <xsd:complexType>
+              <xsd:sequence>
+                <xsd:element name="value" type="xsd:string" minOccurs="0" msdata:Ordinal="1" />
+              </xsd:sequence>
+              <xsd:attribute name="name" type="xsd:string" use="required" />
+            </xsd:complexType>
+          </xsd:element>
+        </xsd:choice>
+      </xsd:complexType>
+    </xsd:element>
+  </xsd:schema>
+  <resheader name="resmimetype">
+    <value>text/microsoft-resx</value>
+  </resheader>
+  <resheader name="version">
+    <value>2.0</value>
+  </resheader>
+  <resheader name="reader">
+    <value>System.Resources.ResXResourceReader, System.Windows.Forms, Version=2.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089</value>
+  </resheader>
+  <resheader name="writer">
+    <value>System.Resources.ResXResourceWriter, System.Windows.Forms, Version=2.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089</value>
+  </resheader>
+</root>
Index: trunk/sources/HeuristicLab.Hive.Client.Console/HeuristicLab.Hive.Client.Console.csproj
===================================================================
--- trunk/sources/HeuristicLab.Hive.Client.Console/HeuristicLab.Hive.Client.Console.csproj	(revision 858)
+++ trunk/sources/HeuristicLab.Hive.Client.Console/HeuristicLab.Hive.Client.Console.csproj	(revision 906)
@@ -52,4 +52,24 @@
   </PropertyGroup>
   <ItemGroup>
+    <Reference Include="HeuristicLab.Charting-3.2, Version=3.2.0.582, Culture=neutral, PublicKeyToken=ba48961d6f65dcec, processorArchitecture=MSIL">
+      <SpecificVersion>False</SpecificVersion>
+      <HintPath>..\HeuristicLab.Charting\bin\Debug\HeuristicLab.Charting-3.2.dll</HintPath>
+    </Reference>
+    <Reference Include="HeuristicLab.Charting.Data-3.2, Version=3.2.0.582, Culture=neutral, PublicKeyToken=ba48961d6f65dcec, processorArchitecture=MSIL">
+      <SpecificVersion>False</SpecificVersion>
+      <HintPath>..\HeuristicLab.Charting.Data\bin\Debug\HeuristicLab.Charting.Data-3.2.dll</HintPath>
+    </Reference>
+    <Reference Include="HeuristicLab.Core-3.2, Version=3.2.0.817, Culture=neutral, PublicKeyToken=ba48961d6f65dcec, processorArchitecture=MSIL">
+      <SpecificVersion>False</SpecificVersion>
+      <HintPath>..\HeuristicLab.Core\bin\Debug\HeuristicLab.Core-3.2.dll</HintPath>
+    </Reference>
+    <Reference Include="HeuristicLab.Data-3.2, Version=3.2.0.776, Culture=neutral, PublicKeyToken=ba48961d6f65dcec, processorArchitecture=MSIL">
+      <SpecificVersion>False</SpecificVersion>
+      <HintPath>..\HeuristicLab.Data\bin\Debug\HeuristicLab.Data-3.2.dll</HintPath>
+    </Reference>
+    <Reference Include="HeuristicLab.Operators-3.2, Version=3.2.0.801, Culture=neutral, PublicKeyToken=ba48961d6f65dcec, processorArchitecture=MSIL">
+      <SpecificVersion>False</SpecificVersion>
+      <HintPath>..\HeuristicLab.Operators\bin\Debug\HeuristicLab.Operators-3.2.dll</HintPath>
+    </Reference>
     <Reference Include="System" />
     <Reference Include="System.Core">
@@ -67,6 +87,16 @@
     <Reference Include="System.Windows.Forms" />
     <Reference Include="System.Xml" />
+    <Reference Include="ZedGraph, Version=5.1.4.31904, Culture=neutral, PublicKeyToken=02a83cbd123fcd60, processorArchitecture=MSIL">
+      <SpecificVersion>False</SpecificVersion>
+      <HintPath>..\..\..\..\..\..\Program Files\HeuristicLab 3.0\plugins\ZedGraph.dll</HintPath>
+    </Reference>
   </ItemGroup>
   <ItemGroup>
+    <Compile Include="EventLogEntryForm.cs">
+      <SubType>Form</SubType>
+    </Compile>
+    <Compile Include="EventLogEntryForm.Designer.cs">
+      <DependentUpon>EventLogEntryForm.cs</DependentUpon>
+    </Compile>
     <Compile Include="HiveClientConsole.cs">
       <SubType>Form</SubType>
@@ -77,8 +107,12 @@
     <Compile Include="HiveClientConsolePlugin.cs" />
     <Compile Include="HiveClientConsoleApplication.cs" />
+    <Compile Include="HiveEventEntry.cs" />
     <Compile Include="IPAdressTextBox.cs">
       <SubType>Component</SubType>
     </Compile>
     <Compile Include="Properties\AssemblyInfo.cs" />
+    <EmbeddedResource Include="EventLogEntryForm.resx">
+      <DependentUpon>EventLogEntryForm.cs</DependentUpon>
+    </EmbeddedResource>
     <EmbeddedResource Include="HiveClientConsole.resx">
       <DependentUpon>HiveClientConsole.cs</DependentUpon>
@@ -93,4 +127,5 @@
       <AutoGen>True</AutoGen>
       <DependentUpon>Resources.resx</DependentUpon>
+      <DesignTime>True</DesignTime>
     </Compile>
     <None Include="HeuristicLab.snk" />
@@ -107,8 +142,18 @@
   </ItemGroup>
   <ItemGroup>
+    <ProjectReference Include="..\HeuristicLab.Logging\HeuristicLab.Logging.csproj">
+      <Project>{4095C92C-5A4C-44BC-9963-5F384CF5CC3F}</Project>
+      <Name>HeuristicLab.Logging</Name>
+    </ProjectReference>
     <ProjectReference Include="..\HeuristicLab.PluginInfrastructure\HeuristicLab.PluginInfrastructure.csproj">
       <Project>{94186A6A-5176-4402-AE83-886557B53CCA}</Project>
       <Name>HeuristicLab.PluginInfrastructure</Name>
     </ProjectReference>
+  </ItemGroup>
+  <ItemGroup>
+    <None Include="Resources\Error.png" />
+  </ItemGroup>
+  <ItemGroup>
+    <None Include="Resources\Info.png" />
   </ItemGroup>
   <Import Project="$(MSBuildToolsPath)\Microsoft.CSharp.targets" />
Index: trunk/sources/HeuristicLab.Hive.Client.Console/HiveClientConsole.Designer.cs
===================================================================
--- trunk/sources/HeuristicLab.Hive.Client.Console/HiveClientConsole.Designer.cs	(revision 858)
+++ trunk/sources/HeuristicLab.Hive.Client.Console/HiveClientConsole.Designer.cs	(revision 906)
@@ -45,52 +45,50 @@
     /// </summary>
     private void InitializeComponent() {
-      this.msClientConsole = new System.Windows.Forms.MenuStrip();
-      this.tsmiConsole = new System.Windows.Forms.ToolStripMenuItem();
-      this.tsmiExit = new System.Windows.Forms.ToolStripMenuItem();
+      this.components = new System.ComponentModel.Container();
+      System.ComponentModel.ComponentResourceManager resources = new System.ComponentModel.ComponentResourceManager(typeof(HiveClientConsole));
       this.tcClientConsole = new System.Windows.Forms.TabControl();
       this.tpConnection = new System.Windows.Forms.TabPage();
+      this.gbJobCommon = new System.Windows.Forms.GroupBox();
+      this.lvJobDetail = new System.Windows.Forms.ListView();
+      this.chJobId = new System.Windows.Forms.ColumnHeader();
+      this.chSince = new System.Windows.Forms.ColumnHeader();
+      this.chProgress = new System.Windows.Forms.ColumnHeader();
+      this.gbCommon = new System.Windows.Forms.GroupBox();
+      this.zGJobs = new ZedGraph.ZedGraphControl();
+      this.lbConnectionStatusCaption = new System.Windows.Forms.Label();
+      this.lbJobsAbortedCaption = new System.Windows.Forms.Label();
+      this.lbJobdoneCaption = new System.Windows.Forms.Label();
+      this.lbGuidCaption = new System.Windows.Forms.Label();
+      this.lbJobsFetchedCaption = new System.Windows.Forms.Label();
+      this.lbCsCaption = new System.Windows.Forms.Label();
+      this.gbEventLog = new System.Windows.Forms.GroupBox();
+      this.lvLog = new System.Windows.Forms.ListView();
+      this.chType = new System.Windows.Forms.ColumnHeader();
+      this.chId = new System.Windows.Forms.ColumnHeader();
+      this.chMessage = new System.Windows.Forms.ColumnHeader();
+      this.chDate = new System.Windows.Forms.ColumnHeader();
+      this.chTime = new System.Windows.Forms.ColumnHeader();
+      this.ilEventLog = new System.Windows.Forms.ImageList(this.components);
+      this.tabPage2 = new System.Windows.Forms.TabPage();
+      this.groupBox1 = new System.Windows.Forms.GroupBox();
+      this.gbResources = new System.Windows.Forms.GroupBox();
+      this.textBox2 = new System.Windows.Forms.TextBox();
+      this.lbMem = new System.Windows.Forms.Label();
+      this.gbServerConnection = new System.Windows.Forms.GroupBox();
       this.btnDisconnect = new System.Windows.Forms.Button();
-      this.btnConnect = new System.Windows.Forms.Button();
-      this.gbUser = new System.Windows.Forms.GroupBox();
-      this.tbUuid = new System.Windows.Forms.TextBox();
-      this.lblUuid = new System.Windows.Forms.Label();
-      this.gbManager = new System.Windows.Forms.GroupBox();
-      this.lblPort = new System.Windows.Forms.Label();
-      this.lblIp = new System.Windows.Forms.Label();
-      this.tbPort = new System.Windows.Forms.TextBox();
-      this.tabPage2 = new System.Windows.Forms.TabPage();
-      this.lbEventLog = new System.Windows.Forms.ListBox();
-      this.tbIp = new HeuristicLab.Hive.Client.Console.IPAddressTextBox();
-      this.msClientConsole.SuspendLayout();
+      this.btConnect = new System.Windows.Forms.Button();
+      this.textBox1 = new System.Windows.Forms.TextBox();
+      this.tbIPAdress = new System.Windows.Forms.TextBox();
+      this.lbServerIPCaption = new System.Windows.Forms.Label();
+      this.lbPortCaption = new System.Windows.Forms.Label();
       this.tcClientConsole.SuspendLayout();
       this.tpConnection.SuspendLayout();
-      this.gbUser.SuspendLayout();
-      this.gbManager.SuspendLayout();
+      this.gbJobCommon.SuspendLayout();
+      this.gbCommon.SuspendLayout();
+      this.gbEventLog.SuspendLayout();
+      this.tabPage2.SuspendLayout();
+      this.gbResources.SuspendLayout();
+      this.gbServerConnection.SuspendLayout();
       this.SuspendLayout();
-      // 
-      // msClientConsole
-      // 
-      this.msClientConsole.Items.AddRange(new System.Windows.Forms.ToolStripItem[] {
-            this.tsmiConsole});
-      this.msClientConsole.Location = new System.Drawing.Point(0, 0);
-      this.msClientConsole.Name = "msClientConsole";
-      this.msClientConsole.Size = new System.Drawing.Size(434, 24);
-      this.msClientConsole.TabIndex = 0;
-      this.msClientConsole.Text = "menuStrip1";
-      // 
-      // tsmiConsole
-      // 
-      this.tsmiConsole.DropDownItems.AddRange(new System.Windows.Forms.ToolStripItem[] {
-            this.tsmiExit});
-      this.tsmiConsole.Name = "tsmiConsole";
-      this.tsmiConsole.Size = new System.Drawing.Size(82, 20);
-      this.tsmiConsole.Text = "Clientconsole";
-      // 
-      // tsmiExit
-      // 
-      this.tsmiExit.Name = "tsmiExit";
-      this.tsmiExit.Size = new System.Drawing.Size(103, 22);
-      this.tsmiExit.Text = "Exit";
-      this.tsmiExit.Click += new System.EventHandler(this.tsmiExit_Click);
       // 
       // tcClientConsole
@@ -99,136 +97,320 @@
       this.tcClientConsole.Controls.Add(this.tabPage2);
       this.tcClientConsole.Dock = System.Windows.Forms.DockStyle.Fill;
-      this.tcClientConsole.Location = new System.Drawing.Point(0, 24);
+      this.tcClientConsole.Location = new System.Drawing.Point(0, 0);
       this.tcClientConsole.Name = "tcClientConsole";
       this.tcClientConsole.SelectedIndex = 0;
-      this.tcClientConsole.Size = new System.Drawing.Size(434, 481);
+      this.tcClientConsole.Size = new System.Drawing.Size(437, 508);
       this.tcClientConsole.TabIndex = 1;
       // 
       // tpConnection
       // 
-      this.tpConnection.Controls.Add(this.lbEventLog);
-      this.tpConnection.Controls.Add(this.btnDisconnect);
-      this.tpConnection.Controls.Add(this.btnConnect);
-      this.tpConnection.Controls.Add(this.gbUser);
-      this.tpConnection.Controls.Add(this.gbManager);
+      this.tpConnection.Controls.Add(this.gbJobCommon);
+      this.tpConnection.Controls.Add(this.gbCommon);
+      this.tpConnection.Controls.Add(this.gbEventLog);
       this.tpConnection.Location = new System.Drawing.Point(4, 22);
       this.tpConnection.Name = "tpConnection";
       this.tpConnection.Padding = new System.Windows.Forms.Padding(3);
       this.tpConnection.RightToLeft = System.Windows.Forms.RightToLeft.No;
-      this.tpConnection.Size = new System.Drawing.Size(426, 455);
+      this.tpConnection.Size = new System.Drawing.Size(429, 482);
       this.tpConnection.TabIndex = 0;
-      this.tpConnection.Text = "Connection";
+      this.tpConnection.Text = "Status";
       this.tpConnection.UseVisualStyleBackColor = true;
       // 
-      // btnDisconnect
-      // 
-      this.btnDisconnect.Enabled = false;
-      this.btnDisconnect.Location = new System.Drawing.Point(213, 182);
-      this.btnDisconnect.Name = "btnDisconnect";
-      this.btnDisconnect.Size = new System.Drawing.Size(134, 23);
-      this.btnDisconnect.TabIndex = 4;
-      this.btnDisconnect.Text = "Disconnect";
-      this.btnDisconnect.UseVisualStyleBackColor = true;
-      this.btnDisconnect.Click += new System.EventHandler(this.btnDisconnect_Click);
-      // 
-      // btnConnect
-      // 
-      this.btnConnect.Location = new System.Drawing.Point(66, 182);
-      this.btnConnect.Name = "btnConnect";
-      this.btnConnect.Size = new System.Drawing.Size(131, 23);
-      this.btnConnect.TabIndex = 3;
-      this.btnConnect.Text = "Connect";
-      this.btnConnect.UseVisualStyleBackColor = true;
-      this.btnConnect.Click += new System.EventHandler(this.btnConnect_Click);
-      // 
-      // gbUser
-      // 
-      this.gbUser.Controls.Add(this.tbUuid);
-      this.gbUser.Controls.Add(this.lblUuid);
-      this.gbUser.Location = new System.Drawing.Point(67, 117);
-      this.gbUser.Name = "gbUser";
-      this.gbUser.Size = new System.Drawing.Size(281, 51);
-      this.gbUser.TabIndex = 2;
-      this.gbUser.TabStop = false;
-      this.gbUser.Text = "User";
-      // 
-      // tbUuid
-      // 
-      this.tbUuid.Location = new System.Drawing.Point(56, 22);
-      this.tbUuid.Name = "tbUuid";
-      this.tbUuid.Size = new System.Drawing.Size(209, 20);
-      this.tbUuid.TabIndex = 2;
-      // 
-      // lblUuid
-      // 
-      this.lblUuid.AutoSize = true;
-      this.lblUuid.Location = new System.Drawing.Point(15, 25);
-      this.lblUuid.Name = "lblUuid";
-      this.lblUuid.Size = new System.Drawing.Size(34, 13);
-      this.lblUuid.TabIndex = 0;
-      this.lblUuid.Text = "UUID";
-      // 
-      // gbManager
-      // 
-      this.gbManager.Controls.Add(this.lblPort);
-      this.gbManager.Controls.Add(this.lblIp);
-      this.gbManager.Controls.Add(this.tbPort);
-      this.gbManager.Controls.Add(this.tbIp);
-      this.gbManager.Location = new System.Drawing.Point(66, 19);
-      this.gbManager.Name = "gbManager";
-      this.gbManager.Size = new System.Drawing.Size(283, 82);
-      this.gbManager.TabIndex = 0;
-      this.gbManager.TabStop = false;
-      this.gbManager.Text = "Manager";
-      // 
-      // lblPort
-      // 
-      this.lblPort.AutoSize = true;
-      this.lblPort.Location = new System.Drawing.Point(16, 54);
-      this.lblPort.Name = "lblPort";
-      this.lblPort.Size = new System.Drawing.Size(26, 13);
-      this.lblPort.TabIndex = 3;
-      this.lblPort.Text = "Port";
-      // 
-      // lblIp
-      // 
-      this.lblIp.AutoSize = true;
-      this.lblIp.Location = new System.Drawing.Point(16, 26);
-      this.lblIp.Name = "lblIp";
-      this.lblIp.Size = new System.Drawing.Size(17, 13);
-      this.lblIp.TabIndex = 2;
-      this.lblIp.Text = "IP";
-      // 
-      // tbPort
-      // 
-      this.tbPort.Location = new System.Drawing.Point(57, 47);
-      this.tbPort.Name = "tbPort";
-      this.tbPort.Size = new System.Drawing.Size(209, 20);
-      this.tbPort.TabIndex = 1;
+      // gbJobCommon
+      // 
+      this.gbJobCommon.Controls.Add(this.lvJobDetail);
+      this.gbJobCommon.Location = new System.Drawing.Point(8, 100);
+      this.gbJobCommon.Name = "gbJobCommon";
+      this.gbJobCommon.Size = new System.Drawing.Size(412, 158);
+      this.gbJobCommon.TabIndex = 13;
+      this.gbJobCommon.TabStop = false;
+      this.gbJobCommon.Text = "Jobs detail";
+      // 
+      // lvJobDetail
+      // 
+      this.lvJobDetail.Columns.AddRange(new System.Windows.Forms.ColumnHeader[] {
+            this.chJobId,
+            this.chSince,
+            this.chProgress});
+      this.lvJobDetail.Location = new System.Drawing.Point(6, 19);
+      this.lvJobDetail.Name = "lvJobDetail";
+      this.lvJobDetail.Size = new System.Drawing.Size(398, 132);
+      this.lvJobDetail.TabIndex = 0;
+      this.lvJobDetail.UseCompatibleStateImageBehavior = false;
+      this.lvJobDetail.View = System.Windows.Forms.View.Details;
+      // 
+      // chJobId
+      // 
+      this.chJobId.Text = "ID";
+      // 
+      // chSince
+      // 
+      this.chSince.Text = "Since";
+      this.chSince.Width = 74;
+      // 
+      // chProgress
+      // 
+      this.chProgress.Text = "Progress";
+      this.chProgress.Width = 256;
+      // 
+      // gbCommon
+      // 
+      this.gbCommon.Controls.Add(this.zGJobs);
+      this.gbCommon.Controls.Add(this.lbConnectionStatusCaption);
+      this.gbCommon.Controls.Add(this.lbJobsAbortedCaption);
+      this.gbCommon.Controls.Add(this.lbJobdoneCaption);
+      this.gbCommon.Controls.Add(this.lbGuidCaption);
+      this.gbCommon.Controls.Add(this.lbJobsFetchedCaption);
+      this.gbCommon.Controls.Add(this.lbCsCaption);
+      this.gbCommon.Location = new System.Drawing.Point(8, 6);
+      this.gbCommon.Name = "gbCommon";
+      this.gbCommon.Size = new System.Drawing.Size(410, 88);
+      this.gbCommon.TabIndex = 14;
+      this.gbCommon.TabStop = false;
+      this.gbCommon.Text = "Common";
+      // 
+      // zGJobs
+      // 
+      this.zGJobs.Location = new System.Drawing.Point(309, 11);
+      this.zGJobs.Name = "zGJobs";
+      this.zGJobs.ScrollGrace = 0;
+      this.zGJobs.ScrollMaxX = 0;
+      this.zGJobs.ScrollMaxY = 0;
+      this.zGJobs.ScrollMaxY2 = 0;
+      this.zGJobs.ScrollMinX = 0;
+      this.zGJobs.ScrollMinY = 0;
+      this.zGJobs.ScrollMinY2 = 0;
+      this.zGJobs.Size = new System.Drawing.Size(95, 68);
+      this.zGJobs.TabIndex = 14;
+      // 
+      // lbConnectionStatusCaption
+      // 
+      this.lbConnectionStatusCaption.AutoSize = true;
+      this.lbConnectionStatusCaption.Location = new System.Drawing.Point(9, 42);
+      this.lbConnectionStatusCaption.Name = "lbConnectionStatusCaption";
+      this.lbConnectionStatusCaption.Size = new System.Drawing.Size(93, 13);
+      this.lbConnectionStatusCaption.TabIndex = 13;
+      this.lbConnectionStatusCaption.Text = "Connected status:";
+      // 
+      // lbJobsAbortedCaption
+      // 
+      this.lbJobsAbortedCaption.AutoSize = true;
+      this.lbJobsAbortedCaption.Location = new System.Drawing.Point(147, 66);
+      this.lbJobsAbortedCaption.Name = "lbJobsAbortedCaption";
+      this.lbJobsAbortedCaption.Size = new System.Drawing.Size(71, 13);
+      this.lbJobsAbortedCaption.TabIndex = 11;
+      this.lbJobsAbortedCaption.Text = "Jobs aborted:";
+      // 
+      // lbJobdoneCaption
+      // 
+      this.lbJobdoneCaption.AutoSize = true;
+      this.lbJobdoneCaption.Location = new System.Drawing.Point(159, 42);
+      this.lbJobdoneCaption.Name = "lbJobdoneCaption";
+      this.lbJobdoneCaption.Size = new System.Drawing.Size(59, 13);
+      this.lbJobdoneCaption.TabIndex = 10;
+      this.lbJobdoneCaption.Text = "Jobs done:";
+      // 
+      // lbGuidCaption
+      // 
+      this.lbGuidCaption.AutoSize = true;
+      this.lbGuidCaption.Location = new System.Drawing.Point(9, 19);
+      this.lbGuidCaption.Name = "lbGuidCaption";
+      this.lbGuidCaption.Size = new System.Drawing.Size(37, 13);
+      this.lbGuidCaption.TabIndex = 8;
+      this.lbGuidCaption.Text = "GUID:";
+      // 
+      // lbJobsFetchedCaption
+      // 
+      this.lbJobsFetchedCaption.AutoSize = true;
+      this.lbJobsFetchedCaption.Location = new System.Drawing.Point(147, 16);
+      this.lbJobsFetchedCaption.Name = "lbJobsFetchedCaption";
+      this.lbJobsFetchedCaption.Size = new System.Drawing.Size(71, 13);
+      this.lbJobsFetchedCaption.TabIndex = 12;
+      this.lbJobsFetchedCaption.Text = "Jobs fetched:";
+      // 
+      // lbCsCaption
+      // 
+      this.lbCsCaption.AutoSize = true;
+      this.lbCsCaption.Location = new System.Drawing.Point(9, 66);
+      this.lbCsCaption.Name = "lbCsCaption";
+      this.lbCsCaption.Size = new System.Drawing.Size(90, 13);
+      this.lbCsCaption.TabIndex = 9;
+      this.lbCsCaption.Text = "Connected since:";
+      // 
+      // gbEventLog
+      // 
+      this.gbEventLog.Controls.Add(this.lvLog);
+      this.gbEventLog.Location = new System.Drawing.Point(8, 264);
+      this.gbEventLog.Name = "gbEventLog";
+      this.gbEventLog.Size = new System.Drawing.Size(412, 207);
+      this.gbEventLog.TabIndex = 7;
+      this.gbEventLog.TabStop = false;
+      this.gbEventLog.Text = "Hive Client Log";
+      // 
+      // lvLog
+      // 
+      this.lvLog.Columns.AddRange(new System.Windows.Forms.ColumnHeader[] {
+            this.chType,
+            this.chId,
+            this.chMessage,
+            this.chDate,
+            this.chTime});
+      this.lvLog.FullRowSelect = true;
+      this.lvLog.GridLines = true;
+      this.lvLog.LargeImageList = this.ilEventLog;
+      this.lvLog.Location = new System.Drawing.Point(6, 14);
+      this.lvLog.MultiSelect = false;
+      this.lvLog.Name = "lvLog";
+      this.lvLog.Size = new System.Drawing.Size(398, 187);
+      this.lvLog.SmallImageList = this.ilEventLog;
+      this.lvLog.TabIndex = 6;
+      this.lvLog.UseCompatibleStateImageBehavior = false;
+      this.lvLog.View = System.Windows.Forms.View.Details;
+      this.lvLog.DoubleClick += new System.EventHandler(this.lvLog_DoubleClick);
+      // 
+      // chType
+      // 
+      this.chType.Text = "Type";
+      this.chType.Width = 42;
+      // 
+      // chId
+      // 
+      this.chId.Text = "ID";
+      // 
+      // chMessage
+      // 
+      this.chMessage.Text = "Message";
+      this.chMessage.Width = 163;
+      // 
+      // chDate
+      // 
+      this.chDate.Text = "Date";
+      this.chDate.Width = 63;
+      // 
+      // chTime
+      // 
+      this.chTime.Text = "Time";
+      this.chTime.Width = 65;
+      // 
+      // ilEventLog
+      // 
+      this.ilEventLog.ImageStream = ((System.Windows.Forms.ImageListStreamer)(resources.GetObject("ilEventLog.ImageStream")));
+      this.ilEventLog.TransparentColor = System.Drawing.Color.Transparent;
+      this.ilEventLog.Images.SetKeyName(0, "Info.png");
+      this.ilEventLog.Images.SetKeyName(1, "Error.png");
       // 
       // tabPage2
       // 
+      this.tabPage2.Controls.Add(this.groupBox1);
+      this.tabPage2.Controls.Add(this.gbResources);
+      this.tabPage2.Controls.Add(this.gbServerConnection);
       this.tabPage2.Location = new System.Drawing.Point(4, 22);
       this.tabPage2.Name = "tabPage2";
       this.tabPage2.Padding = new System.Windows.Forms.Padding(3);
-      this.tabPage2.Size = new System.Drawing.Size(426, 455);
+      this.tabPage2.Size = new System.Drawing.Size(429, 482);
       this.tabPage2.TabIndex = 1;
-      this.tabPage2.Text = "tabPage2";
+      this.tabPage2.Text = "Settings";
       this.tabPage2.UseVisualStyleBackColor = true;
       // 
-      // listBox1
-      // 
-      this.lbEventLog.FormattingEnabled = true;
-      this.lbEventLog.Location = new System.Drawing.Point(23, 226);
-      this.lbEventLog.Name = "listBox1";
-      this.lbEventLog.Size = new System.Drawing.Size(382, 212);
-      this.lbEventLog.TabIndex = 5;
-      // 
-      // tbIp
-      // 
-      this.tbIp.Location = new System.Drawing.Point(57, 19);
-      this.tbIp.Name = "tbIp";
-      this.tbIp.Size = new System.Drawing.Size(211, 20);
-      this.tbIp.TabIndex = 0;
+      // groupBox1
+      // 
+      this.groupBox1.Location = new System.Drawing.Point(9, 185);
+      this.groupBox1.Name = "groupBox1";
+      this.groupBox1.Size = new System.Drawing.Size(409, 286);
+      this.groupBox1.TabIndex = 4;
+      this.groupBox1.TabStop = false;
+      this.groupBox1.Text = "Online time";
+      // 
+      // gbResources
+      // 
+      this.gbResources.Controls.Add(this.textBox2);
+      this.gbResources.Controls.Add(this.lbMem);
+      this.gbResources.Location = new System.Drawing.Point(8, 118);
+      this.gbResources.Name = "gbResources";
+      this.gbResources.Size = new System.Drawing.Size(410, 60);
+      this.gbResources.TabIndex = 3;
+      this.gbResources.TabStop = false;
+      this.gbResources.Text = "Resources";
+      // 
+      // textBox2
+      // 
+      this.textBox2.Location = new System.Drawing.Point(174, 25);
+      this.textBox2.Name = "textBox2";
+      this.textBox2.Size = new System.Drawing.Size(72, 20);
+      this.textBox2.TabIndex = 1;
+      // 
+      // lbMem
+      // 
+      this.lbMem.AutoSize = true;
+      this.lbMem.Location = new System.Drawing.Point(17, 25);
+      this.lbMem.Name = "lbMem";
+      this.lbMem.Size = new System.Drawing.Size(150, 13);
+      this.lbMem.TabIndex = 0;
+      this.lbMem.Text = "Maximum memory usage [MB]:";
+      // 
+      // gbServerConnection
+      // 
+      this.gbServerConnection.Controls.Add(this.btnDisconnect);
+      this.gbServerConnection.Controls.Add(this.btConnect);
+      this.gbServerConnection.Controls.Add(this.textBox1);
+      this.gbServerConnection.Controls.Add(this.tbIPAdress);
+      this.gbServerConnection.Controls.Add(this.lbServerIPCaption);
+      this.gbServerConnection.Controls.Add(this.lbPortCaption);
+      this.gbServerConnection.Location = new System.Drawing.Point(8, 6);
+      this.gbServerConnection.Name = "gbServerConnection";
+      this.gbServerConnection.Size = new System.Drawing.Size(410, 105);
+      this.gbServerConnection.TabIndex = 2;
+      this.gbServerConnection.TabStop = false;
+      this.gbServerConnection.Text = "Server connection";
+      // 
+      // btnDisconnect
+      // 
+      this.btnDisconnect.Location = new System.Drawing.Point(257, 51);
+      this.btnDisconnect.Name = "btnDisconnect";
+      this.btnDisconnect.Size = new System.Drawing.Size(147, 23);
+      this.btnDisconnect.TabIndex = 5;
+      this.btnDisconnect.Text = "Disconnect from server";
+      this.btnDisconnect.UseVisualStyleBackColor = true;
+      // 
+      // btConnect
+      // 
+      this.btConnect.Location = new System.Drawing.Point(257, 23);
+      this.btConnect.Name = "btConnect";
+      this.btConnect.Size = new System.Drawing.Size(147, 23);
+      this.btConnect.TabIndex = 4;
+      this.btConnect.Text = "Connect to server";
+      this.btConnect.UseVisualStyleBackColor = true;
+      // 
+      // textBox1
+      // 
+      this.textBox1.Location = new System.Drawing.Point(77, 51);
+      this.textBox1.Name = "textBox1";
+      this.textBox1.Size = new System.Drawing.Size(143, 20);
+      this.textBox1.TabIndex = 3;
+      // 
+      // tbIPAdress
+      // 
+      this.tbIPAdress.Location = new System.Drawing.Point(77, 25);
+      this.tbIPAdress.Name = "tbIPAdress";
+      this.tbIPAdress.Size = new System.Drawing.Size(143, 20);
+      this.tbIPAdress.TabIndex = 2;
+      // 
+      // lbServerIPCaption
+      // 
+      this.lbServerIPCaption.AutoSize = true;
+      this.lbServerIPCaption.Location = new System.Drawing.Point(17, 28);
+      this.lbServerIPCaption.Name = "lbServerIPCaption";
+      this.lbServerIPCaption.Size = new System.Drawing.Size(54, 13);
+      this.lbServerIPCaption.TabIndex = 0;
+      this.lbServerIPCaption.Text = "IP adress:";
+      // 
+      // lbPortCaption
+      // 
+      this.lbPortCaption.AutoSize = true;
+      this.lbPortCaption.Location = new System.Drawing.Point(17, 54);
+      this.lbPortCaption.Name = "lbPortCaption";
+      this.lbPortCaption.Size = new System.Drawing.Size(29, 13);
+      this.lbPortCaption.TabIndex = 1;
+      this.lbPortCaption.Text = "Port:";
       // 
       // HiveClientConsole
@@ -236,21 +418,22 @@
       this.AutoScaleDimensions = new System.Drawing.SizeF(6F, 13F);
       this.AutoScaleMode = System.Windows.Forms.AutoScaleMode.Font;
-      this.ClientSize = new System.Drawing.Size(434, 505);
+      this.ClientSize = new System.Drawing.Size(437, 508);
       this.Controls.Add(this.tcClientConsole);
-      this.Controls.Add(this.msClientConsole);
-      this.MainMenuStrip = this.msClientConsole;
       this.Name = "HiveClientConsole";
       this.Text = "Client Console";
-      this.msClientConsole.ResumeLayout(false);
-      this.msClientConsole.PerformLayout();
+      this.Load += new System.EventHandler(this.HiveClientConsole_Load);
+      this.Resize += new System.EventHandler(this.HiveClientConsole_Resize);
       this.tcClientConsole.ResumeLayout(false);
       this.tpConnection.ResumeLayout(false);
-      this.gbUser.ResumeLayout(false);
-      this.gbUser.PerformLayout();
-      this.gbManager.ResumeLayout(false);
-      this.gbManager.PerformLayout();
-      //((System.ComponentModel.ISupportInitialize)(this.performanceCounter1)).EndInit();
+      this.gbJobCommon.ResumeLayout(false);
+      this.gbCommon.ResumeLayout(false);
+      this.gbCommon.PerformLayout();
+      this.gbEventLog.ResumeLayout(false);
+      this.tabPage2.ResumeLayout(false);
+      this.gbResources.ResumeLayout(false);
+      this.gbResources.PerformLayout();
+      this.gbServerConnection.ResumeLayout(false);
+      this.gbServerConnection.PerformLayout();
       this.ResumeLayout(false);
-      this.PerformLayout();
 
     }
@@ -258,21 +441,39 @@
     #endregion
 
-    private System.Windows.Forms.MenuStrip msClientConsole;
-    private System.Windows.Forms.ToolStripMenuItem tsmiConsole;
     private System.Windows.Forms.TabControl tcClientConsole;
     private System.Windows.Forms.TabPage tpConnection;
     private System.Windows.Forms.TabPage tabPage2;
-    private System.Windows.Forms.GroupBox gbManager;
-    private System.Windows.Forms.TextBox tbPort;
-    private HeuristicLab.Hive.Client.Console.IPAddressTextBox tbIp;
-    private System.Windows.Forms.Label lblIp;
-    private System.Windows.Forms.GroupBox gbUser;
-    private System.Windows.Forms.Label lblUuid;
-    private System.Windows.Forms.Label lblPort;
+    private System.Windows.Forms.ListView lvLog;
+    private System.Windows.Forms.ColumnHeader chType;
+    private System.Windows.Forms.ColumnHeader chMessage;
+    private System.Windows.Forms.ColumnHeader chDate;
+    private System.Windows.Forms.ColumnHeader chTime;
+    private System.Windows.Forms.Label lbJobdoneCaption;
+    private System.Windows.Forms.Label lbCsCaption;
+    private System.Windows.Forms.Label lbGuidCaption;
+    private System.Windows.Forms.GroupBox gbEventLog;
+    private System.Windows.Forms.Label lbJobsFetchedCaption;
+    private System.Windows.Forms.Label lbJobsAbortedCaption;
+    private System.Windows.Forms.GroupBox gbJobCommon;
+    private System.Windows.Forms.GroupBox gbCommon;
+    private System.Windows.Forms.ListView lvJobDetail;
+    private System.Windows.Forms.ColumnHeader chJobId;
+    private System.Windows.Forms.ColumnHeader chSince;
+    private System.Windows.Forms.ColumnHeader chProgress;
+    private System.Windows.Forms.Label lbConnectionStatusCaption;
+    private System.Windows.Forms.GroupBox gbResources;
+    private System.Windows.Forms.GroupBox gbServerConnection;
+    private System.Windows.Forms.TextBox textBox1;
+    private System.Windows.Forms.TextBox tbIPAdress;
+    private System.Windows.Forms.Label lbServerIPCaption;
+    private System.Windows.Forms.Label lbPortCaption;
+    private System.Windows.Forms.Label lbMem;
+    private System.Windows.Forms.GroupBox groupBox1;
+    private System.Windows.Forms.TextBox textBox2;
     private System.Windows.Forms.Button btnDisconnect;
-    private System.Windows.Forms.Button btnConnect;
-    private System.Windows.Forms.TextBox tbUuid;
-    private System.Windows.Forms.ToolStripMenuItem tsmiExit;
-    private System.Windows.Forms.ListBox lbEventLog;
+    private System.Windows.Forms.Button btConnect;
+    private ZedGraph.ZedGraphControl zGJobs;
+    private System.Windows.Forms.ColumnHeader chId;
+    private System.Windows.Forms.ImageList ilEventLog;
   }
 }
Index: trunk/sources/HeuristicLab.Hive.Client.Console/HiveClientConsole.cs
===================================================================
--- trunk/sources/HeuristicLab.Hive.Client.Console/HiveClientConsole.cs	(revision 858)
+++ trunk/sources/HeuristicLab.Hive.Client.Console/HiveClientConsole.cs	(revision 906)
@@ -30,4 +30,5 @@
 using System.Diagnostics;
 using System.Threading;
+using ZedGraph;
 
 namespace HeuristicLab.Hive.Client.Console {
@@ -37,58 +38,108 @@
   public partial class HiveClientConsole : Form {
 
-    int numEntries = 0;
+    EventLog HiveClientEventLog;
+    int selectedEventLogId;
 
     public HiveClientConsole() {
       InitializeComponent();
-      tbIp.Text = "010.020.053.006";
-      EventLog ev = new EventLog("Hive Client");
-      ev.Source = "Hive Client";
-      string str = ev.Entries[ev.Entries.Count - 1].Message;
-      foreach (System.Diagnostics.EventLogEntry entry in ev.Entries) {
-        lbEventLog.Items.Add(entry.TimeWritten + " -> " + entry.Message);
+      GetEventLog();
+    }
+
+    private void GetEventLog() {
+      HiveClientEventLog = new EventLog("Hive Client");
+      HiveClientEventLog.Source = "Hive Client";
+      HiveClientEventLog.EntryWritten += new EntryWrittenEventHandler(OnEntryWritten);
+      HiveClientEventLog.EnableRaisingEvents = true;
+
+      ListViewItem curEventLogEntry;
+      foreach (EventLogEntry eve in HiveClientEventLog.Entries) {
+        curEventLogEntry = new ListViewItem("", 0);
+        if(eve.EntryType == EventLogEntryType.Error)
+          curEventLogEntry = new ListViewItem("", 1);
+        curEventLogEntry.SubItems.Add(eve.EventID.ToString());
+        curEventLogEntry.SubItems.Add(eve.Message);
+        curEventLogEntry.SubItems.Add(eve.TimeGenerated.Date.ToString());
+        curEventLogEntry.SubItems.Add(eve.TimeGenerated.TimeOfDay.ToString());
+        lvLog.Items.Add(curEventLogEntry);
       }
-      lbEventLog.SelectedIndex = lbEventLog.Items.Count - 1;
-      numEntries = ev.Entries.Count;
-      ev.EntryWritten += new EntryWrittenEventHandler(OnEntryWritten);
-      ev.EnableRaisingEvents = true;
+    }
+
+    private void HiveClientConsole_Load(object sender, EventArgs e) {
+      CreateGraph(zGJobs);
+      //SetSize();
     }
 
     private void UpdateText(EventLog ev) {
-      if (this.lbEventLog.InvokeRequired) {
-        this.lbEventLog.Invoke(new
+      if (this.lvLog.InvokeRequired) {
+        this.lvLog.Invoke(new
           UpdateTextDelegate(UpdateText), new object[] { ev });
       } else {
-        string str = ev.Entries[numEntries].TimeWritten + " -> " + ev.Entries[numEntries].Message;
-        numEntries++;
-        lbEventLog.Items.Add(str);
-        lbEventLog.SelectedIndex = lbEventLog.Items.Count - 1;
+        //string str = ev.Entries[numEntries].TimeWritten + " -> " + ev.Entries[numEntries].Message;
+        //numEntries++;
+        //lbEventLog.Items.Add(str);
+        //lbEventLog.SelectedIndex = lbEventLog.Items.Count - 1;
 
       }
     }
 
-    private void tsmiExit_Click(object sender, EventArgs e) {
-      this.Close();
-    }
+    //private void tsmiExit_Click(object sender, EventArgs e) {
+    //  this.Close();
+    //}
 
-    private void btnConnect_Click(object sender, EventArgs e) {
-      btnConnect.Enabled = false;
-      btnDisconnect.Enabled = true;
-      tbIp.Enabled = false;
-      tbPort.Enabled = false;
-      tbUuid.Enabled = false;
-      lbEventLog.Items.Add(tbIp.Text);
-    }
+    //private void btnConnect_Click(object sender, EventArgs e) {
+    //  btnConnect.Enabled = false;
+    //  btnDisconnect.Enabled = true;
+    //  tbIp.Enabled = false;
+    //  tbPort.Enabled = false;
+    //  tbUuid.Enabled = false;
+    //  lbEventLog.Items.Add(tbIp.Text);
+    //}
 
-    private void btnDisconnect_Click(object sender, EventArgs e) {
-      btnDisconnect.Enabled = false;
-      btnConnect.Enabled = true;
-      tbIp.Enabled = true;
-      tbPort.Enabled = true;
-      tbUuid.Enabled = true;
-    }
+    //private void btnDisconnect_Click(object sender, EventArgs e) {
+    //  btnDisconnect.Enabled = false;
+    //  btnConnect.Enabled = true;
+    //  tbIp.Enabled = true;
+    //  tbPort.Enabled = true;
+    //  tbUuid.Enabled = true;
+    //}
 
     public void OnEntryWritten(object source, EntryWrittenEventArgs e) {
       UpdateText((EventLog)source);
     }
+
+    private void SetSize() {
+      zGJobs.Location = new Point(10, 10);
+      // Leave a small margin around the outside of the control
+
+      zGJobs.Size = new Size(ClientRectangle.Width - 20,
+                              ClientRectangle.Height - 20);
+    }
+
+
+    private void CreateGraph(ZedGraphControl zgc) {
+      GraphPane myPane = zgc.GraphPane;
+
+      // Set the titles and axis labels
+      myPane.Legend.IsVisible = false;
+      myPane.Title.IsVisible = false;
+
+      myPane.AddPieSlice(40, Color.Red, 0, "Jobs aborted");
+      myPane.AddPieSlice(60, Color.Green, 0.1, "Jobs done");
+
+      myPane.AxisChange();
+    }
+
+    private void HiveClientConsole_Resize(object sender, EventArgs e) {
+      //SetSize();
+    }
+
+    private void lvLog_DoubleClick(object sender, EventArgs e) {
+      ListViewItem lvi = lvLog.SelectedItems[0];
+
+      HiveEventEntry hee = new HiveEventEntry(lvi.SubItems[2].Text, lvi.SubItems[3].Text, lvi.SubItems[4].Text, lvi.SubItems[1].Text);
+      
+      Form EventlogDetails = new EventLogEntryForm(hee);
+      EventlogDetails.Show();
+    }
   }
 }
Index: trunk/sources/HeuristicLab.Hive.Client.Console/HiveClientConsole.resx
===================================================================
--- trunk/sources/HeuristicLab.Hive.Client.Console/HiveClientConsole.resx	(revision 858)
+++ trunk/sources/HeuristicLab.Hive.Client.Console/HiveClientConsole.resx	(revision 906)
@@ -118,9 +118,64 @@
     <value>System.Resources.ResXResourceWriter, System.Windows.Forms, Version=2.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089</value>
   </resheader>
-  <metadata name="msClientConsole.TrayLocation" type="System.Drawing.Point, System.Drawing, Version=2.0.0.0, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a">
+  <metadata name="lvJobDetail.Locked" type="System.Boolean, mscorlib, Version=2.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089">
+    <value>True</value>
+  </metadata>
+  <metadata name="ilEventLog.TrayLocation" type="System.Drawing.Point, System.Drawing, Version=2.0.0.0, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a">
     <value>17, 17</value>
   </metadata>
-  <metadata name="performanceCounter1.TrayLocation" type="System.Drawing.Point, System.Drawing, Version=2.0.0.0, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a">
-    <value>150, 17</value>
+  <data name="ilEventLog.ImageStream" mimetype="application/x-microsoft.net.object.binary.base64">
+    <value>
+        AAEAAAD/////AQAAAAAAAAAMAgAAAFdTeXN0ZW0uV2luZG93cy5Gb3JtcywgVmVyc2lvbj0yLjAuMC4w
+        LCBDdWx0dXJlPW5ldXRyYWwsIFB1YmxpY0tleVRva2VuPWI3N2E1YzU2MTkzNGUwODkFAQAAACZTeXN0
+        ZW0uV2luZG93cy5Gb3Jtcy5JbWFnZUxpc3RTdHJlYW1lcgEAAAAERGF0YQcCAgAAAAkDAAAADwMAAABS
+        CgAAAk1TRnQBSQFMAgEBAgEAAQQBAAEEAQABEAEAARABAAT/ASEBAAj/AUIBTQE2BwABNgMAASgDAAFA
+        AwABEAMAAQEBAAEgBgABECoAAUICAQF0ASACAwHxAwMB/wFCAgMB1AEgAgEBLCwAAUICAQF0ASACAwHx
+        AwMB/wFCAgMB1AEgAgEBLKQAAR0CAwHyAZMBXQEDAf8BvwF2AQMB/wG9AXMBAwH/AboBcAEDAf8BuAFt
+        AQMB/wG2AWsBAwH/ATcBIAEDAf8BPAIBAWUcAAEdAgMB8gIDAaQB/wIDAdYB/wIDAdQB/wIDAdIB/wID
+        AdAB/wIDAc4B/wIDAT4B/wE8AgEBZZgAAQ0BCQEDAf8BxwF+AQMB/wHDAXsBAwH/AbEBZQEDAf8BsQFl
+        AQMB/wGxAWUBAwH/AbEBZQEDAf8BswFnAQMB/wG2AWsBAwH/AbQBaAEDAf8BMwIDAeQUAAIDAQ4B/wID
+        AdwB/wIDAdkB/wIDAcoB/wIDAcoB/wIDAcoB/wIDAcoB/wIDAcsB/wIDAc4B/wIDAcwB/wEzAgMB5JAA
+        AwMB/wHLAYEBAwH/AbsBcQEDAf8BtgFrAQMB/wG2AWsBAwH/Ae4B3AHEBf8BvgF8ASAB/wG2AWsBAwH/
+        AbYBawEDAf8BtgFrAQMB/wG0AWgBAwH/AUgCAgGGDAADAwH/AgMB4AH/AgMB0gH/AgMBzgH/AjAB1gH/
+        AgMBzgH/AgMBzgH/AgMBzgH/AgYBzgH/AgMBzgH/AgMBzgH/AgMBzAH/AUgCAgGGiAABLAIBAUIB0AGG
+        AQMB/wHHAX4BAwH/AboBcAEDAf8BugFwAQMB/wG6AXABAwH/AdABnAFUBf8BugFwAQMB/wG6AXABAwH/
+        AboBcAEDAf8BugFwAQMB/wG2AWsBAwH/AVcBMgEDAf8IAAEsAgEBQgIDAeQB/wIDAdwB/wIDAdIB/wKf
+        Ae0F/wJJAd4B/wIDAdIB/wL0Af0F/wIGAdIB/wIDAdIB/wIDAc4B/wIDAWIB/4gAAwMB/wHSAYkBAwH/
+        Ab8BdgEDAf8BvwF2AQMB/wG/AXYBAwH/Ab8BdgEDAf8B0wGfAVQF/wG/AXYBAwH/Ab8BdgEDAf8BvwF2
+        AQMB/wG/AXYBAwH/Ab4BdQEDAf8BtgFrAQMB/wE2AgEBVwQAAwMB/wIDAeUB/wIDAdYB/wIDAdYN/wL1
+        Af0J/wLiAfoB/wIDAdYB/wIDAdUB/wIDAc4B/wE2AgEBV4QAAUsBMwEDAf8B1AGMAQMB/wHEAXsBAwH/
+        AcQBewEDAf8BxAF7AQMB/wHEAXsBAwH/AdcBpAFVBf8BxAF7AQMB/wHEAXsBAwH/AcQBewEDAf8BxAF7
+        AQMB/wHEAXsBAwH/AbgBbQEDAf8BKgIDAewEAAIDAVEB/wIDAegB/wIDAdoB/wIDAdoB/wIDAdoR/wLi
+        AfoB/wIDAdoB/wIDAdoB/wIDAdoB/wIDAdAB/wEqAgMB7IQAAWsBSAEDAf8B1wGOAQMB/wHJAYEBAwH/
+        AckBgQEDAf8ByQGBAQMB/wHJAYEBAwn/AckBgQEDAf8ByQGBAQMB/wHJAYEBAwH/AckBgQEDAf8ByQGB
+        AQMB/wG6AXABAwH/AwMB/wQAAgMBdAH/AgMB6QH/AgMB3gH/AgMB3gH/AgMB3gH/AvQB/Q3/AkkB5wH/
+        AgMB3gH/AgMB3gH/AgMB3gH/AgMB0gH/AwMB/4QAAVsBOQEDAf8B2QGRAQMB/wHOAYMBAwH/Ac4BgwED
+        Af8BzgGDAQMB/wHOAYMBAwH/Ac4BgwEDAf8B1wGcATQB/wHOAYMBAwH/Ac4BgwEDAf8BzgGDAQMB/wHO
+        AYMBAwH/Ac4BgwEDAf8BvQFzAQMB/wESAgMB+QQAAQMBCAFaAf8CAwHsAf8CAwHiAf8CAwHiAf8C9AH9
+        Ff8CSQHqAf8CAwHiAf8CAwHiAf8CAwHUAf8BEgIDAfmEAAEGAQQBAwH/AdsBlAEDAf8B0gGJAQMB/wHS
+        AYkBAwH/AdIBiQEDAf8B0gGJAQMB/wHSAYkBAwH/AesBywGQAf8B0gGJAQMB/wHSAYkBAwH/AdIBiQED
+        Af8B0gGJAQMB/wHEAXwBAwH/Ab8BdgEDAf8BTQICAZsEAAIDAQYB/wIDAe0B/wIDAeYB/wIDAeUB/wL9
+        Af4F/wLiAfwB/wIDAeUJ/wJ0AfEB/wIDAeUB/wIDAdoB/wIDAdYB/wFNAgIBm4QAAU4CAgGyAd4BmAED
+        Af8B2wGUAQMB/wHXAY4BAwH/AdcBjgEDAf8B1wGOAQMB/wH7AfYB6wX/AdcBjgEDAf8B1wGOAQMB/wHX
+        AY4BAwH/AdYBjQEDAf8BxAF7AQMB/wGpAWQBAwH/CAABTgICAbIBAwENAe8B/wIDAe0B/wIDAekB/wID
+        AekB/wLhAfwB/wIDAekB/wIDAekB/wIDAekB/wJ0AfMB/wIDAekB/wIDAegB/wIDAdoB/wEDAQsBnQH/
+        jAABPQEiAQMB/wHdAZcBAwH/AdsBlAEDAf8B2wGUAQMB/wHbAZQBAwH/AdsBlAEDAf8B3AGXAQkB/wHb
+        AZQBAwH/AdsBlAEDAf8B1QGMAQMB/wHJAYEBAwH/AdEBiAEDAf8BCQIDAfwMAAIDATcB/wIDAe8B/wID
+        Ae0B/wIDAe0B/wIDAe0B/wIDAe0B/wIDAe0B/wIDAe0B/wIDAe0B/wIDAegB/wIDAd4B/wEDARYB4gH/
+        AQkCAwH8jAABGQIBASEBkAFXAQMB/wHfAZkBAwH/AdsBlAEDAf8B2QGRAQMB/wHYAZABAwH/AdgBkAED
+        Af8B0wGKAQMB/wHQAYYBAwH/Ac4BgwEDAf8B2gGSAQMB/wEOAQkBAwH/EAABGQIBASECAwGHAf8BAwEJ
+        AfEB/wIDAe0B/wIDAewB/wIDAesB/wIDAesB/wIDAeYB/wIDAeQB/wIDAeIB/wEDASAB5gH/AgMBDQH/
+        lAABEgIBARYBKAEaAQMB/wHSAYkBAwH/AeIBnQEDAf8B2QGRAQMB/wHXAY4BAwH/AdUBjAEDAf8B4QGb
+        AQMB/wHOAYQBAwH/AQYCAwH+GAABEgIBARYCAwEnAf8BAwEJAdMB/wEDARoB9AH/AgMB7AH/AgMB6QH/
+        AQMBBAHoAf8BAwEiAfAB/wIDAcwB/wEGAgMB/qAAAUUCAQF9AwMB/wFUATsBAwH/AXUBVAEDAf8BNQEm
+        AQMB/wEGAgMB/gEUAgEBGiQAAUUCAQF9AwMB/wIDAVcB/wIDAXwB/wIDATcB/wEGAgMB/gEUAgEBGv8A
+        kQABQgFNAT4HAAE+AwABKAMAAUADAAEQAwABAQEAAQEFAAGAFwAD/wEAAfwBHwH8AR8EAAHwAQcB8AEH
+        BAAB4AEDAeABAwQAAcABAQHAAQEEAAGAAQEBgAEBBAABgAEAAYAFAAGAAQABgAUAAYABAAGABQABgAEA
+        AYAFAAGAAQABgAUAAYABAQGAAQEEAAHAAQEBwAEBBAABwAEDAcABAwQAAeABBwHgAQcEAAH4AQ8B+AEP
+        BAAE/wQACw==
+</value>
+  </data>
+  <metadata name="lvJobDetail.Locked" type="System.Boolean, mscorlib, Version=2.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089">
+    <value>True</value>
   </metadata>
 </root>
Index: trunk/sources/HeuristicLab.Hive.Client.Console/HiveEventEntry.cs
===================================================================
--- trunk/sources/HeuristicLab.Hive.Client.Console/HiveEventEntry.cs	(revision 906)
+++ trunk/sources/HeuristicLab.Hive.Client.Console/HiveEventEntry.cs	(revision 906)
@@ -0,0 +1,20 @@
+﻿using System;
+using System.Collections.Generic;
+using System.Linq;
+using System.Text;
+
+namespace HeuristicLab.Hive.Client.Console {
+  public class HiveEventEntry {
+    public string Message { get; private set; }
+    public string EventDate { get; private set; }
+    public string EventTime { get; private set; }
+    public string ID { get; private set; }
+
+    public HiveEventEntry(string message, string eventDate, string eventTime, string id) {
+      Message = message;
+      EventDate = eventDate;
+      EventTime = eventTime;
+      ID = id;
+    }
+  }
+}
Index: trunk/sources/HeuristicLab.Hive.Client.Console/Properties/Resources.Designer.cs
===================================================================
--- trunk/sources/HeuristicLab.Hive.Client.Console/Properties/Resources.Designer.cs	(revision 858)
+++ trunk/sources/HeuristicLab.Hive.Client.Console/Properties/Resources.Designer.cs	(revision 906)
@@ -10,53 +10,68 @@
 
 namespace HeuristicLab.Hive.Client.Console.Properties {
-
-
-  /// <summary>
-  ///   A strongly-typed resource class, for looking up localized strings, etc.
-  /// </summary>
-  // This class was auto-generated by the StronglyTypedResourceBuilder
-  // class via a tool like ResGen or Visual Studio.
-  // To add or remove a member, edit your .ResX file then rerun ResGen
-  // with the /str option, or rebuild your VS project.
-  [global::System.CodeDom.Compiler.GeneratedCodeAttribute("System.Resources.Tools.StronglyTypedResourceBuilder", "2.0.0.0")]
-  [global::System.Diagnostics.DebuggerNonUserCodeAttribute()]
-  [global::System.Runtime.CompilerServices.CompilerGeneratedAttribute()]
-  internal class Resources {
-
-    private static global::System.Resources.ResourceManager resourceMan;
-
-    private static global::System.Globalization.CultureInfo resourceCulture;
-
-    [global::System.Diagnostics.CodeAnalysis.SuppressMessageAttribute("Microsoft.Performance", "CA1811:AvoidUncalledPrivateCode")]
-    internal Resources() {
+    using System;
+    
+    
+    /// <summary>
+    ///   A strongly-typed resource class, for looking up localized strings, etc.
+    /// </summary>
+    // This class was auto-generated by the StronglyTypedResourceBuilder
+    // class via a tool like ResGen or Visual Studio.
+    // To add or remove a member, edit your .ResX file then rerun ResGen
+    // with the /str option, or rebuild your VS project.
+    [global::System.CodeDom.Compiler.GeneratedCodeAttribute("System.Resources.Tools.StronglyTypedResourceBuilder", "2.0.0.0")]
+    [global::System.Diagnostics.DebuggerNonUserCodeAttribute()]
+    [global::System.Runtime.CompilerServices.CompilerGeneratedAttribute()]
+    internal class Resources {
+        
+        private static global::System.Resources.ResourceManager resourceMan;
+        
+        private static global::System.Globalization.CultureInfo resourceCulture;
+        
+        [global::System.Diagnostics.CodeAnalysis.SuppressMessageAttribute("Microsoft.Performance", "CA1811:AvoidUncalledPrivateCode")]
+        internal Resources() {
+        }
+        
+        /// <summary>
+        ///   Returns the cached ResourceManager instance used by this class.
+        /// </summary>
+        [global::System.ComponentModel.EditorBrowsableAttribute(global::System.ComponentModel.EditorBrowsableState.Advanced)]
+        internal static global::System.Resources.ResourceManager ResourceManager {
+            get {
+                if (object.ReferenceEquals(resourceMan, null)) {
+                    global::System.Resources.ResourceManager temp = new global::System.Resources.ResourceManager("HeuristicLab.Hive.Client.Console.Properties.Resources", typeof(Resources).Assembly);
+                    resourceMan = temp;
+                }
+                return resourceMan;
+            }
+        }
+        
+        /// <summary>
+        ///   Overrides the current thread's CurrentUICulture property for all
+        ///   resource lookups using this strongly typed resource class.
+        /// </summary>
+        [global::System.ComponentModel.EditorBrowsableAttribute(global::System.ComponentModel.EditorBrowsableState.Advanced)]
+        internal static global::System.Globalization.CultureInfo Culture {
+            get {
+                return resourceCulture;
+            }
+            set {
+                resourceCulture = value;
+            }
+        }
+        
+        internal static System.Drawing.Bitmap Error {
+            get {
+                object obj = ResourceManager.GetObject("Error", resourceCulture);
+                return ((System.Drawing.Bitmap)(obj));
+            }
+        }
+        
+        internal static System.Drawing.Bitmap Info {
+            get {
+                object obj = ResourceManager.GetObject("Info", resourceCulture);
+                return ((System.Drawing.Bitmap)(obj));
+            }
+        }
     }
-
-    /// <summary>
-    ///   Returns the cached ResourceManager instance used by this class.
-    /// </summary>
-    [global::System.ComponentModel.EditorBrowsableAttribute(global::System.ComponentModel.EditorBrowsableState.Advanced)]
-    internal static global::System.Resources.ResourceManager ResourceManager {
-      get {
-        if ((resourceMan == null)) {
-          global::System.Resources.ResourceManager temp = new global::System.Resources.ResourceManager("HeuristicLab.Hive.Client.Console.Properties.Resources", typeof(Resources).Assembly);
-          resourceMan = temp;
-        }
-        return resourceMan;
-      }
-    }
-
-    /// <summary>
-    ///   Overrides the current thread's CurrentUICulture property for all
-    ///   resource lookups using this strongly typed resource class.
-    /// </summary>
-    [global::System.ComponentModel.EditorBrowsableAttribute(global::System.ComponentModel.EditorBrowsableState.Advanced)]
-    internal static global::System.Globalization.CultureInfo Culture {
-      get {
-        return resourceCulture;
-      }
-      set {
-        resourceCulture = value;
-      }
-    }
-  }
 }
Index: trunk/sources/HeuristicLab.Hive.Client.Console/Properties/Resources.resx
===================================================================
--- trunk/sources/HeuristicLab.Hive.Client.Console/Properties/Resources.resx	(revision 858)
+++ trunk/sources/HeuristicLab.Hive.Client.Console/Properties/Resources.resx	(revision 906)
@@ -47,5 +47,5 @@
     mimetype: application/x-microsoft.net.object.binary.base64
     value   : The object must be serialized with 
-            : System.Serialization.Formatters.Binary.BinaryFormatter
+            : System.Runtime.Serialization.Formatters.Binary.BinaryFormatter
             : and then encoded with base64 encoding.
     
@@ -61,4 +61,5 @@
     -->
   <xsd:schema id="root" xmlns="" xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:msdata="urn:schemas-microsoft-com:xml-msdata">
+    <xsd:import namespace="http://www.w3.org/XML/1998/namespace" />
     <xsd:element name="root" msdata:IsDataSet="true">
       <xsd:complexType>
@@ -69,7 +70,8 @@
                 <xsd:element name="value" type="xsd:string" minOccurs="0" />
               </xsd:sequence>
-              <xsd:attribute name="name" type="xsd:string" />
+              <xsd:attribute name="name" use="required" type="xsd:string" />
               <xsd:attribute name="type" type="xsd:string" />
               <xsd:attribute name="mimetype" type="xsd:string" />
+              <xsd:attribute ref="xml:space" />
             </xsd:complexType>
           </xsd:element>
@@ -86,7 +88,8 @@
                 <xsd:element name="comment" type="xsd:string" minOccurs="0" msdata:Ordinal="2" />
               </xsd:sequence>
-              <xsd:attribute name="name" type="xsd:string" msdata:Ordinal="1" />
+              <xsd:attribute name="name" type="xsd:string" use="required" msdata:Ordinal="1" />
               <xsd:attribute name="type" type="xsd:string" msdata:Ordinal="3" />
               <xsd:attribute name="mimetype" type="xsd:string" msdata:Ordinal="4" />
+              <xsd:attribute ref="xml:space" />
             </xsd:complexType>
           </xsd:element>
@@ -115,3 +118,10 @@
     <value>System.Resources.ResXResourceWriter, System.Windows.Forms, Version=2.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089</value>
   </resheader>
+  <assembly alias="System.Windows.Forms" name="System.Windows.Forms, Version=2.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089" />
+  <data name="Error" type="System.Resources.ResXFileRef, System.Windows.Forms">
+    <value>..\Resources\Error.png;System.Drawing.Bitmap, System.Drawing, Version=2.0.0.0, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a</value>
+  </data>
+  <data name="Info" type="System.Resources.ResXFileRef, System.Windows.Forms">
+    <value>..\Resources\Info.png;System.Drawing.Bitmap, System.Drawing, Version=2.0.0.0, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a</value>
+  </data>
 </root>
